using CloudGaming.Api.Base;
using CloudGaming.Code.Config;
using CloudGaming.DtoModel;

using HuanMeng.DotNetCore.AttributeExtend;

using Microsoft.AspNetCore.Mvc;

// For more information on enabling Web API for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860

namespace CloudGaming.Api.Controllers
{
    /// <summary>
    /// 
    /// </summary>
    public class AppController : CloudGamingControllerBase
    {
        public AppController(IServiceProvider _serviceProvider) : base(_serviceProvider)
        {
        }
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        public async Task<AppConfigDto> GetAppConfigAsync()
        {
            AppConfigBLL appConfigBLL = new AppConfigBLL(ServiceProvider);
            var appConfig = await appConfigBLL.GetAppConfig();
            return appConfig;
        }


    }
}
